[Dbconfig-common-devel] dbconfig-common/internal common,1.4,1.5 mysql,1.7,1.8 pgsql,1.5,1.6

seanius@haydn.debian.org seanius@haydn.debian.org


Update of /cvsroot/dbconfig-common/dbconfig-common/internal
In directory haydn:/org/alioth.debian.org/chroot/home/users/seanius/tmp/cvs-serv26422/internal

Modified Files:
	common mysql pgsql 
Log Message:
- updated translation
- added first attempt loading pre-dbc configs into dbc
- updated documentation


Index: common
===================================================================
RCS file: /cvsroot/dbconfig-common/dbconfig-common/internal/common,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -d -r1.4 -r1.5
--- common	27 Apr 2005 02:35:02 -0000	1.4
+++ common	18 May 2005 19:49:38 -0000	1.5
@@ -175,294 +175,3 @@
 		shift
 	done
 }
-
-_dbc_psql(){
-	local extra
-	if [ "$dbserver" ]; then extra="$extra -h $dbserver"; fi
-	if [ "$dbport" ]; then extra="$extra -p $dbport"; fi
-	su - postgres -c "psql -q $extra $@"
-}
-
-_dbc_createdb(){
-	local extra
-	if [ "$dbserver" ]; then extra="$extra -h $dbserver"; fi
-	if [ "$dbport" ]; then extra="$extra -p $dbport"; fi
-	su - postgres -c "createdb -q $extra $@"
-}
-
-_dbc_dropdb(){
-	local extra
-	if [ "$dbserver" ]; then extra="$extra -h $dbserver"; fi
-	if [ "$dbport" ]; then extra="$extra -p $dbport"; fi
-	su - postgres -c "dropdb -q $extra $@"
-}
-
-_dbc_createuser(){
-	local extra
-	if [ "$dbserver" ]; then extra="$extra -h $dbserver"; fi
-	if [ "$dbport" ]; then extra="$extra -p $dbport"; fi
-	su - postgres -c "createuser -A -D -q $extra $@"
-}
-
-_dbc_dropuser(){
-	local extra
-	if [ "$dbserver" ]; then extra="$extra -h $dbserver"; fi
-	if [ "$dbport" ]; then extra="$extra -p $dbport"; fi
-	su - postgres -c "dropuser -q $extra $@"
-}
-
-##
-## check that we can actually connect to the specified postgres server
-##
-_dbc_pgsql_check_connect(){
-	local constat
-	constat="bad"
-	_dbc_psql template1 < /dev/null && constat=good
-	if [ "$constat" = "bad" ]; then
-		dbc_error="Error when trying to connect to the postgresql
-		database.  This error can occur if you have no database
-		to connect to, or if the password was incorrect.  use:
-		dpkg-reconfigure -plow packagename to reconfigure."
-		dbc_logline "unable to connect to postgresql server"
-		return 1
-	fi
-}
-
-##
-## execute a file with pgsql commands
-##
-##	note this is done without passing any sensitive info on the cmdline
-##
-_dbc_pgsql_exec_file(){
-	local l_sqlfile
-	l_sqlfile=$1
-
-	if [ ! "$l_sqlfile" ]; then
-		dbc_error="no file supplied to execute"
-		dbc_log="no file supplied to execute"
-		return 1
-	fi
-
-	_dbc_psql $dbc_dbname < "$l_sqlfile"
-}
-
-##
-## execute a specific pgsql command
-##
-##	note this is done without passing any sensitive info on the cmdline,
-##	including the sql command itself
-##
-_dbc_exec_command(){
-	local statement l_sqlfile
-	statement=$@
-	l_sqlfile=`mktemp -t dbconfig-common_sqlfile.XXXXXX`
-	cat << EOF > $l_sqlfile
-$statement
-EOF
-	_dbc_psql $dbc_dbname < $l_sqlfile
-	rm -f $l_sqlfile
-}
-
-##
-## check for the existance of a specified database
-##
-_dbc_pgsql_check_database(){
-	local dbc_dbname
-	dbc_dbname=$1
-	_dbc_psql $dbc_dbname </dev/null 2>/dev/null
-	return $?
-}
-
-##
-## check for access for a specific user
-##
-##	this works by checking the grants for the user, so we can verify that
-##	not only does the user exist, but that it should be able to connect
-##
-_dbc_pgsql_check_user(){
-	_dbc_psql "template1 -A -c \"select usename from pg_shadow where usename='$dbc_dbuser'\"" | grep -q "^$dbc_dbuser\$"
-	return $?
-}
-
-###
-### externally supplied functions
-###
-###	included inline are some slightly modified / corrected comments from 
-###	the respective original	functions provided by wwwconfig-common, and
-###	comments of similar style for now functions
-###
-###	all functions return non-zero on error
-###
-
-# File:         pgsql-createdb.sh
-# Description:  Creates a database.
-# Needs:        $dbc_dbname
-#               $dbc_dbadmin
-# Sets:         $dbc_status = {error, nothing, create}
-#               $dbc_error = error message (if $dbc_status = error)
-
-dbc_pgsql_createdb(){
-	dbc_status=error
-	dbc_error=''
-
-	_dbc_sanity_check dbname dbadmin psql createdb || return 1
-	dbc_dbname='' _dbc_pgsql_check_connect || return 1
-
-	dbc_logpart "creating database $dbc_dbname:"
-
-	if _dbc_pgsql_check_database "$dbc_dbname"; then
-		dbc_logline "already exists"
-		dbc_status=nothing
-	else
-		if PGHOST="$dbc_dbserver" PGPORT="$dbc_dbport" PGUSER="$dbc_dbadmin" _dbc_createdb $dbc_dbname ; then
-			dbc_logline "success"
-			dbc_logpart "verifying database $dbc_dbname exists:"
-			if ! _dbc_pgsql_check_database "$dbc_dbname"; then
-				dbc_error="unable to create database $dbc_dbname."
-				dbc_logline "failed"
-			else
-				dbc_status=create
-				dbc_logline "success"
-			fi
-		else
-			dbc_error="unable to create database, pgsql exit status $?"
-			dbc_logline "failed"
-		fi
-	fi
-}
-
-# File:		pgsql-dropdb.sh
-# Needs:	$dbc_dbname    - the database that user should have access to.
-#		$dbc_dbserver  - the server to connect to.
-#		$dbc_dbadmin   - the administrator name.
-#		$dbc_dbadmpass - the administrator password.
-# Description:	drops a database.
-# Sets:		$dbc_status = {error, nothing, drop}
-#		$dbc_error = error message (if dbc_status = error).
-
-dbc_pgsql_dropdb(){
-	dbc_status=error
-	dbc_error=""
-
-	_dbc_sanity_check dbname dbadmin dropdb || return 1
-	dbc_dbname='' _dbc_pgsql_check_connect || return 1
-
-	dbc_logpart "dropping database $dbc_dbname:"
-
-	if _dbc_pgsql_check_database "$dbc_dbname"; then
-		if _dbc_dropdb "$dbc_dbname"; then
-			dbc_logline "success"
-			dbc_logpart "verifying database $dbc_dbname was dropped:"
-			if _dbc_pgsql_check_database "$dbc_dbname"; then
-				dbc_logline "failed"
-				dbc_error="could not drop database $dbc_dbname"
-			else
-				dbc_logline "success"
-				dbc_status=drop
-			fi
-		else
-			dbc_error="unable to drop database, dropdb exit code $?"
-			dbc_logline "does not exist"
-		fi
-	else
-		dbc_status=nothing
-		dbc_logline "database does not exist"
-	fi
-}
-
-# File:		pgsql-createuser.sh
-# Description:	Creates or replaces a database user.
-# Needs:	$dbc_dbuser    - the user name to create (or replace).
-#		$dbc_dballow   - what hosts to allow. defaults to localhost/hostname
-#		$dbc_dbname    - the database that user should have access to.
-#		$dbc_dbpass    - the password to use.
-#		$dbc_dbserver  - the server to connect to (defaults to localhost).
-#		$dbc_dbadmin   - the administrator name.
-#		$dbc_dbadmpass - the administrator password.
-# Sets:		$dbc_status = {error, create, nothing}
-#		$dbc_error = error message (if $dbc_status = error)
-
-dbc_pgsql_createuser(){
-	local l_dballow 
-
-	dbc_status=error
-	dbc_error=""
-
-	_dbc_sanity_check dbuser dbname dbadmin createuser || return 1
-	dbc_dbname='' _dbc_pgsql_check_connect || return 1
-
-	if [ ! "$dbc_dballow" ]; then 
-		if [ ! "$dbc_dbserver" ]; then
-			l_dballow=localhost
-		else
-			l_dballow=`hostname`
-		fi
-	else
-		l_dballow="$dbc_dballow" 
-	fi
-
-	dbc_logpart "granting access to database $dbc_dbname for $dbc_dbuser@$l_dballow:"
-
-	if _dbc_pgsql_check_user; then
-		dbc_status=nothing
-		dbc_logline "already exists"
-	elif dbc_dbname="" _dbc_createuser $dbc_dbuser; then
-		dbc_logline "success"
-		dbc_logpart "verifying creation of user:"
-		if ! _dbc_pgsql_check_user ; then
-			dbc_error="unable to grant privileges to user $dbc_dbuser."
-			dbc_logline "failed"
-		else
-			dbc_status=create
-			dbc_logline "success"
-		fi
-	else
-		dbc_error="unable to grant privileges to $dbc_dbuser, createuser error $?"
-		dbc_logline "failed"
-	fi
-}
-
-# File:		pgsql-dropuser.sh
-# Needs:	$dbc_dbuser    - the user name to create (or replace).
-#		$dbc_dballow   - what hosts to allow (defaults to %).
-#		$dbc_dbname    - the database that user should have access to.
-#		$dbc_dbserver  - the server to connect to.
-#		$dbc_dbadmin   - the administrator name.
-#		$dbc_dbadmpass - the administrator password.
-# Description:	drops a database user.
-# Sets:		$dbc_status = {error, nothing, drop }
-#		$dbc_error = error message (if dbc_status = error).
-
-dbc_pgsql_dropuser(){
-	local l_dballow
-
-	dbc_status=error
-	dbc_error=""
-
-	_dbc_sanity_check dbuser dbname dbadmin dropuser || return 1
-	dbc_dbname='' _dbc_pgsql_check_connect || return 1
-
-	if [ ! "$dbc_dballow" ]; then
-		if [ ! "$dbc_dbserver" ]; then
-			l_dballow=localhost
-		else
-			l_dballow=`hostname`
-		fi
-	else
-		l_dballow="$dbc_dballow"
-	fi
-
-	dbc_logpart "revoking access to database $dbc_dbname from $dbc_dbuser@$l_dballow:"
-	if ! _dbc_pgsql_check_user; then
-		dbc_status="nothing"
-		dbc_logline "access does not exist"
-	else
-		if dbc_dbname='' _dbc_dropuser $dbc_dbuser 2>/dev/null; then
-			dbc_status=drop
-			dbc_logline "success"
-		else
-			dbc_error="unable to revoke privileges, pgsql error $?."
-			dbc_logline "failed"
-		fi
-	fi
-}

Index: mysql
===================================================================
RCS file: /cvsroot/dbconfig-common/dbconfig-common/internal/mysql,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -d -r1.7 -r1.8
--- mysql	7 May 2005 22:43:05 -0000	1.7
+++ mysql	18 May 2005 19:49:38 -0000	1.8
@@ -113,7 +113,7 @@
 ##	this works by checking the grants for the user, so we can verify that
 ##	not only does the user exist, but that it should be able to connect
 ##
-_dbc_mysql_check_user(){
+dbc_mysql_check_user(){
 	local l_dballow l_retval _dbc_nodb
 	if [ ! "$dbc_dballow" ]; then
 		if [ ! "$dbc_dbserver" -o "$dbc_dbserver" = "localhost" ]; then
@@ -255,7 +255,7 @@
 GRANT ALL PRIVILEGES ON \`$dbc_dbname\`.* TO \`$dbc_dbuser\`@'$l_dballow' IDENTIFIED BY '$dbc_dbpass';
 FLUSH PRIVILEGES;
 EOF
-	if _dbc_mysql_check_user; then
+	if dbc_mysql_check_user; then
 		dbc_status=nothing
 		dbc_logline "already exists"
 	else
@@ -267,7 +267,7 @@
 		if [ "$l_ret" = "0" ]; then
 			dbc_logline "success"
 			dbc_logpart "verifying access for $dbc_dbuser@$l_dballow:"
-			if ! _dbc_mysql_check_user ; then
+			if ! dbc_mysql_check_user ; then
 				l_ret=1
 				dbc_logline "failed"
 			else
@@ -312,7 +312,7 @@
 	fi
 
 	dbc_logpart "revoking access to database $dbc_dbname from $dbc_dbuser@$l_dballow:"
-	if ! _dbc_mysql_check_user; then
+	if ! dbc_mysql_check_user; then
 		dbc_status="nothing"
 		dbc_logline "access does not exist"
 	else

Index: pgsql
===================================================================
RCS file: /cvsroot/dbconfig-common/dbconfig-common/internal/pgsql,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -d -r1.5 -r1.6
--- pgsql	1 May 2005 06:13:06 -0000	1.5
+++ pgsql	18 May 2005 19:49:38 -0000	1.6
@@ -182,7 +182,7 @@
 ##	this works by checking the grants for the user, so we can verify that
 ##	not only does the user exist, but that it should be able to connect
 ##
-_dbc_pgsql_check_user(){
+dbc_pgsql_check_user(){
 	local dbc_dbname l_retval
 	if [ "$dbc_dbadmin" ]; then extra="$extra -U '$dbc_dbadmin'"; fi
 	extra="$extra" dbc_dbname=template1 _dbc_pgsql_exec_command "ALTER USER \"$dbc_dbuser\""
@@ -304,7 +304,7 @@
 
 	dbc_logpart "creating postgres user $dbc_dbuser: "
 
-	if _dbc_pgsql_check_user; then
+	if dbc_pgsql_check_user; then
 		dbc_status=nothing
 		dbc_logline "already exists"
 		if [ "$dbc_dbpass" ]; then
@@ -319,7 +319,7 @@
 	elif _dbc_createuser; then
 		dbc_logline "success"
 		dbc_logpart "verifying creation of user:"
-		if ! _dbc_pgsql_check_user ; then
+		if ! dbc_pgsql_check_user ; then
 			dbc_logline "failed"
 			return 1
 		else
@@ -362,7 +362,7 @@
 	fi
 
 	dbc_logpart "revoking access to database $dbc_dbname from $dbc_dbuser@$l_dballow:"
-	if ! _dbc_pgsql_check_user; then
+	if ! dbc_pgsql_check_user; then
 		dbc_status="nothing"
 		dbc_logline "access does not exist"
 	else